nstring Struct Reference

This structure holds string that can contain any character including NULL. More...

`#include <inotifytools.h>`

## Public Attributes

char | buf [MAX_STRLEN]
unsigned int | len

## Detailed Description

This structure holds string that can contain any character including NULL.

Definition at line 20 of file inotifytools.h.

## Member Data Documentation

## buf

nstring::buf

Member 'buf' contains character buffer. It can hold up to 4096 characters.

Definition at line 21 of file inotifytools.h.

Referenced by inotifytools_fprintf(), inotifytools_next_events(), and inotifytools_snprintf().

## len

nstring::len

Member 'len' contains number of characters in buffer.

Definition at line 22 of file inotifytools.h.

Referenced by inotifytools_fprintf(), inotifytools_next_events(), and inotifytools_snprintf().

The documentation for this struct was generated from the following file:

- inotifytools/inotifytools.h